<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\OrdemServico;
use App\Models\Consulta;
use App\Models\Cliente;
use App\Models\Exame;

class AtendimentoController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(){

        $user = Auth()->User();
        return view('atendimento.ordem',compact('user') );
    }

    public function search(Request $request){
        
        $user = Auth()->User();
        $cod_cliente = $request->cod_cliente;
        $nome_cliente = $request->nome_cliente;
        $cpf_cliente = $request->cpf_cliente;
        $rg_cliente = $request->rg_cliente;

        if(isset($request)){
            if (isset($cod_cliente)) {
                $clientes = Cliente::where('id', '=', $cod_cliente)
                ->get();
                      
            }elseif(isset($nome_cliente)){
                $clientes = Cliente::where('cliente_nome', 'LIKE', '%'.$nome_cliente.'%')
                ->get();
            }elseif(isset($cpf_cliente)){
                $clientes = Cliente::where('cliente_cpf', '=', $cpf_cliente)
                ->get();
                
            }elseif(isset($rg_cliente)){
                $clientes = Cliente::where('cliente_rg', '=', $rg_cliente)
                ->get();
            }elseif($cod_cliente==null && $nome_cliente==null && $cpf_cliente==null && $rg_cliente==null){
                $clientes = Cliente::where('id', '=', 0)
                ->get();
                
            }
           
        }elseif($request=NULL){
            return redirect('/atendimento')->with('msg', 'Cliente Nâo Filtrado!');
        }

        
        return view('atendimento.ordem',compact('user'),['clientes'=>$clientes] ); 
             

    }

    public function show ($id){

        
        $user = Auth()->User();
        $cliente = Cliente::where('id', '=', $id)
        ->get();
        $ordem = OrdemServico::where('idCliente', '=', $id)
        ->get();
        $consulta = Consulta::where('idCliente', '=', $id)
        ->join('especialidades','idEspecialidade','=','id' )
        ->get();
        

        return view('atendimento.clienteordem',compact('user'), ['cliente'=>$cliente, 'ordem'=>$ordem, 'consulta'=>$consulta]);
    }




   

}