<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Cliente;

class ClienteController extends Controller
{

    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(){

        $user = Auth()->User();
        $clientes=Cliente::all()->sortDesc();
        return view('clientes.listagem',compact('user'), ['clientes'=>$clientes] );
    }

    public function create(){
        $user = Auth()->User();
        return view('clientes.create',compact('user'));
    }

    public function store(Request $request){
        $cliente = new Cliente;
        $cliente->cliente_nome = $request->nome_cliente;
        $cliente->cliente_cpf = $request->cpf;
        $cliente->cliente_rg = $request->rg;
        $cliente->cliente_sexo = $request->genero;
        $cliente->cliente_datanasc = $request->dt_nascimento;
        $cliente->cliente_tipoendereco = $request->tipo;
        $cliente->cliente_endereco = $request->endereco;
        $cliente->cliente_numeroendereco = $request->numero;
        $cliente->cliente_complemento = $request->complemento;
        $cliente->cliente_bairro = $request->bairro;
        $cliente->cliente_cidade = $request->cidade;
        $cliente->cliente_uf = $request->uf;
        $cliente->cliente_nomepai = $request->nomepai;
        $cliente->cliente_nomemae = $request->nomemae;
        $cliente->cliente_responsavel = $request->nome_responsavel;
        $cliente->cliente_tel1 = $request->tel1;
        $cliente->cliente_tel2 = $request->tel2;
        $cliente->cliente_celular = $request->celular;
        $cliente->cliente_email = $request->email;
        $cliente->cliente_comentario = $request->observacao;

        
        

        $cliente->save();
        

        return redirect('cliente')->with('msg', 'Cliente cadastrado com sucesso!');
    }

    public function edit($id){
        $cliente = Cliente::find($id);


    }

    public function update(Request $request){
        
        

        Cliente::findOrFail($request->id)
        ->update($request->all());


        return redirect('/atendimento/cliente/'. $request->id)->with('msg', 'Cliente atualizado com sucesso!');
    }

}