<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Cliente;
use App\Models\Movimento_consulta;
use App\Models\Consulta;


class ConsultaController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(){

        $user = Auth()->User();
        return view('consulta.index',compact('user') );
    }

    public function show ($idcliente, $id){

        
        $user = Auth()->User();
        $movimento = Movimento_consulta::where('idAtendimento', '=', $id)
        ->join('consultas_exames', 'idConsultaExame', '=', 'ConsEX')
        ->get();
        $consulta = Consulta::where('idAtendimento', '=', $id)
        ->join('especialidades', 'id', '=', 'idEspecialidade')
        ->get();
        $cliente = Cliente::where('id','=', $idcliente)
        ->get();
        
        
        

        return view('consulta.index',compact('user'), ['movimentos'=>$movimento, 'consultas'=>$consulta, 'cliente'=>$cliente] );

    }
}
