<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Especialidade;


class EspecialidadeController extends Controller
{
    public function __construct(){
        
        $this->middleware('auth');
    }
    
    public function index()
    {
        $user = Auth()->User();
        $especialidades = Especialidade::All();

        return view('especialidades.index', compact('user'), ['especialidades'=>$especialidades]);
    }

    
    public function create()
    {
        //
    }

    public function store(Request $request)
    {
        $especialidade = New Especialidade;

        $especialidade->nome_especialidade = $request->nome_especialidade;
        $especialidade->percentual = $request->percentual;

        $especialidade->save();

        

        return redirect('especialidades')->with('msg', 'Especialidade cadastrado com sucesso!');
    }

    
    public function show($id)
    {
       
    }

   
    public function edit($id)
    {
        $user = Auth()->User();
        $especialidades = Especialidade::All();

        $especialidade = Especialidade::where('id','=',$id)->get();
        
        
        return view('especialidades.edit', compact('user'), ['especialidade'=>$especialidade, 'especialidades'=>$especialidades]);

        
    }

    
    public function update(Request $request)
    {
        Especialidade::findOrFail($request->id)->update($request->All());
        

        
        return redirect('especialidades')->with('msg', 'Especialidade atualizado com sucesso!');
    }

    public function destroy($id)
    {
        Especialidade::findOrFail($id)->delete();
        
        return redirect('especialidades')->with('msg', 'Especialidade deletado com sucesso!');

    }
}