<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Exame as Exame;
use App\Http\Resources\ExameApi as ExameResources;


class ExameController extends Controller
{
    // public function index(){
    //     $exames = Exame::all();
    //     return ExameResources::collection($exames);
    // }

    public function show($id){
        
        $exame = Exame::where('id', '=', $id)
        ->first();
        return new ExameResources($exame);
      }
    
    public function pesquisaExame($setortecnico_exame){
        
        $examesetor = Exame::All()
        ->where('setortecnico_exame', '=', $setortecnico_exame);
        return ExameResources::collection($examesetor);
        
      }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    
    public function index()
    {
        $user = Auth()->User();
        $exames = Exame::join('setor_tecnicos','setor_tecnicos.id','=','exames.setortecnico_exame')->get();
        
        return view('exames.index', compact('user'), ['exames'=>$exames]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $exame = New Exame;

        $exame->nome_exame = $request->nome_exame;
        $exame->taxa_exames = $request->taxa_exames;

        $exame->save();

        

        return redirect('exames')->with('msg', 'Exame cadastrado com sucesso!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    
    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $user = Auth()->User();
        $exames = Exame::All();

        $exame = Exame::where('id','=',$id)->get();
        
        
        return view('exames.edit', compact('user'), ['exame'=>$exame, 'exames'=>$exames]);

        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        Exame::findOrFail($request->id)->update($request->All());
        

        
        return redirect('exames')->with('msg', 'Exame atualizado com sucesso!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Exame::findOrFail($id)->delete();
        
        return redirect('exames')->with('msg', 'Exame deletado com sucesso!');

    }
}