<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Models\Consulta;
use App\Models\OrdemServico;
use App\Models\Cliente;
use App\Models\Servico;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $user = Auth()->User();
        $consulta = Consulta::count();
        $ordens = OrdemServico::count();
        $clientes = Cliente::count();
        $servicos = Servico::count();
        

       

        return view('home', compact('user'), ['consultas'=>$consulta, 'ordens'=>$ordens, 'clientes'=>$clientes, 'servicos'=>$servicos]);

    }
}
