<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\OrdemServico;
use App\Models\Cliente;
use App\Models\Exame;
use App\Models\SetorTecnico;
use App\Models\DetalhesOS;
use App\Models\Servico;




class OrdemController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index(){

        $user = Auth()->User();
        return view('ordem.ordempage',compact('user') );
    }

    
    public function store(Request $request){
        $ordem = new OrdemServico;
        $ordem->idCliente = $request->idcliente;
        $ordem->dataEntrada = $request->datadaEntrada;
        $ordem->requisitante = $request->requisitante;
        $ordem->idConvenio = $request->idconvenio;
        $ordem->entregue = null;
        $ordem->idServico = null;
        $ordem->taxaServico = null;
        $ordem->formPgto = null;
        $ordem->dataPgto = null;
        
        $ordem->save();

        return redirect()->route('ordem.show', $ordem->id)->with('msg', 'Ordem cadastrado com sucesso!');
        
    }

    public function show($id){

        $user = Auth()->User();
        $ordem = OrdemServico::where('idOS', '=', $id)
        ->join('clientes', 'idCliente', '=', 'id')
        ->get();
        $setor = SetorTecnico::All();
        $detalhe = DetalhesOS::where('idOS', '=', $id)
        ->join('exames', 'exames.id', '=', 'detalhes_os.idExame')
        ->get();

        $totalexame = DetalhesOS::where ('idOS', '=', $id)
        ->sum('precoUnitario');

        $servicos = Servico::All();


        
        return view('ordem.show',compact('user'), ['ordem'=>$ordem, 'setor'=>$setor, 'detalhes'=>$detalhe, 'totalexame'=>$totalexame, 'servicos'=>$servicos]);
    }

    
    public function edit($id){

        $user = Auth()->User();
        $ordem = OrdemServico::where('idOS', '=', $id)
        ->join('clientes', 'idCliente', '=', 'id')
        ->get();
        $setor = SetorTecnico::All();
        $detalhe = DetalhesOS::where('idOS', '=', $id)
        ->join('exames', 'exames.id', '=', 'detalhes_os.idExame')
        ->get();

        $totalexame = DetalhesOS::where ('idOS', '=', $id)
        ->sum('precoUnitario');

        $servicos = Servico::All();
    
        return view('ordem.edit',compact('user'), ['ordem'=>$ordem, 'setor'=>$setor, 'detalhes'=>$detalhe, 'totalexame'=>$totalexame, 'servicos'=>$servicos]);
    }
}