<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Servico as Servico;
use App\Http\Resources\ServicoApi as ServicoResources;

class ServicoController extends Controller
{
    public function __construct(){
        
        $this->middleware('auth');
    }
    
    
    public function pesquisaServico($id){
        
        $servico = Servico::All()
        ->where('id', '=', $id);

        return ServicoResources::collection($servico);
        
      }
    
     
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $user = Auth()->User();
        $servicos = Servico::All();

        return view('servicos.index', compact('user'), ['servicos'=>$servicos]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $servico = New Servico;

        $servico->nome_servico = $request->nome_servico;
        $servico->taxa_servicos = $request->taxa_servicos;

        $servico->save();

        

        return redirect('servicos')->with('msg', 'Servico cadastrado com sucesso!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
       
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $user = Auth()->User();
        $servicos = Servico::All();

        $servico = Servico::where('id','=',$id)->get();
        
        
        return view('servicos.edit', compact('user'), ['servico'=>$servico, 'servicos'=>$servicos]);

        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        Servico::findOrFail($request->id)->update($request->All());
        

        
        return redirect('servicos')->with('msg', 'Servico atualizado com sucesso!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Servico::findOrFail($id)->delete();
        
        return redirect('servicos')->with('msg', 'Servico deletado com sucesso!');

    }
}