@extends('layouts.main')

@section('titulopagina', 'Cliente')


@section('content')
<script>
@if(Session::has('msg'))
toastr.options = {
    "closeButton": false,
    "progressBar": true
}
toastr.success("{{ session('msg') }}");
@endif
</script>

<div class="container-fluid">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header bg-primary">
                    Listagem de Clientes
                </div>
               

                <div class="card-body">

                    <table class="table table-bordered table-hover dataTable dtr-inline" id="table_cliente">
                        <thead>
                            <tr>
                                <th scope="col">Cod</th>
                                <th scope="col">RG</th>
                                <th scope="col">CPF</th>
                                <th scope="col">Nome Completo</th>
                                <th scope="col">Endereço</th>
                                <th scope="col">Cidade</th>
                                <th scope="col" class="d-flex justify-content-end">Ações</th>
                            </tr>
                        </thead>
                        <tbody>



                            @foreach ($clientes as $cliente)
                            <tr>
                                <th scope="row">{{$cliente->id}}</th>
                                <td>{{$cliente->cliente_rg}}</td>
                                <td>{{$cliente->cliente_cpf}}</td>
                                <td>{{$cliente->cliente_nome}}</td>
                                <td>{{$cliente->cliente_tipoendereco}} {{$cliente->cliente_endereco}}, nº
                                    {{$cliente->cliente_numeroendereco}}</td>
                                <td>{{$cliente->cliente_cidade}} - {{$cliente->cliente_uf}}</td>
                                <td class="d-flex justify-content-end">
                                    <button type="button" class="btn btn-success btn-sm me-1"><i class="fa-solid fa-pen-to-square"></i></button>
                                    <button type="button" class="btn btn-info btn-sm me-1"><i class="fa-solid fa-eye"></i></button>
                                    <button type="button" class="btn btn-danger btn-sm me-1"><i class="fa-solid fa-trash-can"></i></button>
                                    
                                </td>
                                @endforeach


                            </tr>

                        </tbody>
                    </table>

                </div>

            </div>
        </div>
    </div>
</div>

<!-- End de Visualização de Clientes -->



@endsection