@extends('layouts.main')

@section('titulopagina', 'Consulta')



@section('content')

<script>
@if(Session::has('msg'))
toastr.options = {
    "closeButton": false,
    "progressBar": true
}
toastr.success("{{ session('msg') }}");
@endif
</script>

@foreach ($cliente as $cli)


<div class="container-fluid">
    <div class="row">
        <div class="col-4">
            <div class="row">
                <div class="col-12 d-grid gap-1">

                    <a href="/atendimento/cliente/{{$cli->id}}"
                        class="btn btn-info btn-lg rounded-0 mb-1 justify-content-center">
                        <span><i class="fa-solid fa-left"></i>VOLTAR AO ATENDIMENTO</span>

                    </a>
                </div>
                <div class="col-12">

                </div>
                <div class="col-12">
                    <div class="info-box">
                        <span class="info-box-icon bg-info fs-4"><i class="fa-solid fa-user-check"></i></span>
                        <div class="info-box-content">
                            <table class="table">

                                <tr>
                                    <td class="col-md-3 bg-default"><span class="font-weight-bold">Cliente: </span>
                                    </td>
                                    <td class="col-md-9" colspan=" 2">{{$cli->cliente_nome}}</td>

                                </tr>
                                <tr>
                                    <td class="col-md-4 bg-default"><span class="font-weight-bold">Data de
                                            Nascimento: </span> </td>
                                    <td class="col-md-9">{{date('d/m/Y', strtotime($cli->cliente_datanasc))}}</td>

                                </tr>





                            </table>
                        </div>

                    </div>

                </div>
                
                <div class="col-12">
                    <div class="info-box">
                        <span class="info-box-icon bg-info fs-4"><i class="fa-solid fa-clock"></i></span>
                        <div class="info-box-content">
                            @foreach ($consultas as $consulta)
                            <small class="mb-1">Data de Atendimento</small>
                            <h4 >{{date('d/m/Y', strtotime($consulta->dataAtendimento))}}</h4>
                            
                            @endforeach
                        </div>
                    </div>
                </div>

            </div>

        </div>
        <div class="col-8">
            <div class="card">
                <div class="card-header bg-info">Consultas e Exames</div>
                <div class="card-body">
                    <table class="table">
                        @foreach ($consultas as $consulta)
                        <tr>
                            <td class="col-md-3 bg-default"><span class="font-weight-bold">Especialidade: </span>
                            </td>
                            <td class="col-md-9" colspan=" 2">{{$consulta->nome_especialidade}}</td>

                        </tr>
                        @endforeach

                    </table>
                    <hr>


                    <table class="table table-hover table-sm">
                        <thead>
                            <tr>

                                <th scope="col">Consulta</th>
                                <th class="text-right" scope="col">Valor</th>

                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($movimentos as $movimento )
                            <tr>

                                <td>{{$movimento->NomeConsEx}}</td>
                                <td class="text-right"> {{  'R$ '.number_format($movimento->ValorConsEx, 2, ',', '.') }}
                                </td>

                            </tr>
                            @endforeach


                        </tbody>
                    </table>
                </div>

            </div>

        </div>






    </div>

    @endforeach
</div>


@endsection

@section('js')






@endsection