@extends('layouts.main')

@section('titulopagina', 'Especialidades')


@section('content')
<script>
@if(Session::has('msg'))
toastr.options = {
    "closeButton": false,
    "progressBar": true
}
toastr.success("{{ session('msg') }}");
@endif
</script>

<div class="container-fluid">
    <div class="row">
        <div class="col-12 text-left">
            <button type="button" class="btn btn-primary btn-sm btn-labeled rounded-0" data-bs-toggle="modal"
                data-bs-target="#especialidade">
                <span class="btn-label">
                    <span class="p-2"><i class="fa-solid fa-plus"></i></span>
                </span>
                NOVA ESPECIALIDADE
            </button>

        </div>
        <div class="col-12">
            <div class="card">

                <div class="card-body">
                    <table class="table table-hover dataTable dtr-inline">
                        <thead>
                            <tr>

                                <th scope="col">Descrição</th>
                                <th scope="col">Percentual</th>
                                <th scope="col" class="d-flex justify-content-end">Ações</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($especialidades as $esp)
                            <tr>

                                <td>{{$esp->nome_especialidade}}</td>
                                <td>{{$esp->percentual}}%</td>
                                <td class="d-flex justify-content-end">
                                    <a href="/especialidades/{{$esp->id}}/edit" class="btn btn-warning btn-sm me-1"><i
                                            class="fa-solid fa-pen-to-square"></i></a>
                                    
                                </td>
                            </tr>
                            @endforeach


                        </tbody>
                    </table>
                </div>

            </div>

        </div>

    </div>
</div>





<!-- Modal -->
<div class="modal fade" id="especialidade" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        @include('especialidades.create')
    </div>
</div>





@endsection

@section('js')

