@extends('layouts.main')

@section('titulopagina', 'Exames')


@section('content')
<script>
@if(Session::has('msg'))
toastr.options = {
    "closeButton": false,
    "progressBar": true
}
toastr.success("{{ session('msg') }}");
@endif
</script>

<div class="container-fluid">
    <div class="row">
        <div class="col-12 text-left">
            <button type="button" class="btn btn-primary btn-sm btn-labeled rounded-0" data-bs-toggle="modal"
                data-bs-target="#exame">
                <span class="btn-label">
                    <span class="p-2"><i class="fa-solid fa-plus"></i></span>
                </span>
                NOVO EXAME
            </button>

        </div>
        <div class="col-12">
            <div class="card">

                <div class="card-body">
                    <table class="table table-hover dataTable dtr-inline" id="table_cliente">
                        <thead>
                            <tr>

                                <th scope="col">Codigo</th>
                                <th scope="col">Descrição</th>
                                <th scope="col">Setor Técnico</th>
                                <th scope="col">Preço</th>
                                <th scope="col" class="text-end">Tercerização</th>
                                <th scope="col" class="text-end">Ações</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($exames as $ex)

                            @if ($ex->suspenso_exame==0)
                            <tr>
                           
                            @else
                            <tr class="bg-danger">
                            @endif    

                                
                                <td>{{$ex->codigo_exame}}</td>
                                <td>{{$ex->nome_exame}}</td>
                                <td>{{$ex->nome_setortecnico}}</td>
                                <td>{{number_format($ex->preco_exame, 2)}}</td>
                                </td>
                                <td class="text-end">{{$ex->terceriazado_exame}}</td>
                                <td class="d-flex justify-content-end">
                                    <a href="/exame/{{$ex->id}}/edit" class="btn btn-warning btn-sm me-1"><i
                                            class="fa-solid fa-pen-to-square"></i></a>
                                    
                                </td>
                            </tr>
                            @endforeach


                        </tbody>
                    </table>
                    
                </div>
                
            </div>
            
        </div>

    </div>
</div>





<!-- Modal -->
<div class="modal fade" id="exame" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        @include('exames.create')
    </div>
</div>





@endsection

@section('js')

