@extends('layouts.main')

@section('titulopagina', 'Ordem de Serviços')



@section('content')

<script>
@if(Session::has('msg'))
toastr.options = {
    "closeButton": false,
    "progressBar": true,
    "showDuration": "300",
    "hideDuration": "1000",
    "timeOut": "5000",
}
toastr.success("{{ session('msg') }}");
@endif
@if(Session::has('del'))
toastr.options = {
    "closeButton": false,
    "progressBar": true,
    "showDuration": "300",
  "hideDuration": "1000",
  "timeOut": "5000",
}
toastr.error("{{ session('del') }}");
@endif
</script>

@foreach ($ordem as $os)

<div class="container-fluid">
    <div class="row">
        <div class="col-12">
            <div class="row">

                <div class="col-4">
                    <div class="info-box">
                        <span class="info-box-icon bg-info fs-4"><i class="fa-solid fa-microscope"></i></span>
                        <div class="info-box-content">
                            <span class="info-box-text text-black fs-5">Ordem de Serviço:  <span>
                            <span class="info-box-number fs-4">{{$os->idOS}}</span>
                            <span class="info-box-text text-black fs-5">{{date( 'd/m/Y' , strtotime($os->dataEntrada))}}<span>
                        </div>
                    </div>
                    <div class="info-box">
                        <span class="info-box-icon bg-info fs-4"><i class="fa-solid fa-user-check"></i></span>
                        <div class="info-box-content">
                            <table class="table table-sm table-borderless mb-0">
                                <tbody>
                                    <tr>
                                        <td><span class="font-weight-bold">Cliente: </span> </td>
                                        <td colspan="2">{{$os->cliente_nome}}</td>

                                    </tr>
                                    <tr>
                                        <td><span class="font-weight-bold">Data de Nascimento: </span> </td>
                                        <td>{{date( 'd/m/Y' , strtotime($os->cliente_datanasc))}}</td>
                                        <td>
                                        <?php
                                            function calcularIdade($data){
                                                $idade = 0;
                                                $data_nascimento = date('Y-m-d', strtotime($data));
                                                $data = explode("-",$data_nascimento);
                                                $anoNasc    = $data[0];
                                                $mesNasc    = $data[1];
                                                $diaNasc    = $data[2];
                                                
                                                $anoAtual   = date("Y");
                                                $mesAtual   = date("m");
                                                $diaAtual   = date("d");
                                                
                                                $idade      = $anoAtual - $anoNasc;
                                                if ($mesAtual < $mesNasc){
                                                    $idade -= 1;
                                                } elseif ( ($mesAtual == $mesNasc) && ($diaAtual <= $diaNasc) ){
                                                    $idade -= 1;
                                                }
                                                
                                                return $idade;
                                            }
                                            echo (calcularIdade($os->cliente_datanasc)). ' anos';
                                        ?>    

                                        </td>
                                    </tr>
                                    <tr>
                                        <td><span class="font-weight-bold">Convênio: </span> </td>
                                        <td colspan="2">
                                            @if ($os->idConvenio == 0 )
                                            Particular
                                            @else
                                            Outros
                                            @endif
                                        </td>

                                    </tr>
                                    <tr>
                                        <td><span class="font-weight-bold">Requisitante: </span> </td>
                                        <td colspan="2">
                                            {{$os->requisitante}}
                                        </td>

                                    </tr>


                                </tbody>
                            </table>
                        </div>

                    </div>                    
                    <div class="col-12">


                        <div class="row">
                            <div class="col-4 align-items-center">
                                <a href="/atendimento/cliente/{{$os->id}}" class="btn btn-warning btn-sm btn-block">
                                    <span><i class="fa-solid fa-left"></i>ATENDIMENTO</span>

                                </a>
                            </div>
                            <div class="col-4 align-items-center"><a href="#" class="btn btn-dark btn-sm btn-block">
                                    <span><i class="fa-solid fa-left"></i>IMPRIMIR</span>

                                </a></div>
                            <div class="col-4 align-itens-center"> <a href="/ordem/{{$os->idOS}}" class="btn btn-info btn-sm btn-block">
                                    <span><i class="fa-solid fa-left"></i>FECHAR ORDEM</span>

                                </a></div>


                        </div>

                    </div>

                </div>

                <div class="col-8">
                    <div class="card">
                        <div class="card-header bg-info">
                            <span><i class="fa-solid fa-bell-concierge me-2"></i>Serviços e Pgto</span>
                        </div>
                        <div class="card-body">
                            <div class="form-group row mb-1">
                                <label class="col-sm-4 col-form-label text-right">Serviços:</label>
                                <div class="col-sm-8">
                                    <select class="form-select form-select-sm" name="servico" id="servico">
                                        <option value="">Selecione o Servico</option>
                                        @foreach ($servicos as $servico)
                                            <option value="{{$servico->id}}">{{$servico->nome_servico}}</option>
                                        @endforeach
                                        
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row mb-1">
                                <label class="col-sm-4 col-form-label text-right">Taxa do Serviço:</label>
                                <div class="col-sm-8">
                                    <input class="form-control form-control-sm" type="text" name="taxaservico" id="taxaservico">
                                </div>
                            </div>
                            <div class="form-group row mb-1">
                                <label class="col-sm-4 col-form-label text-right">Forma de Pagamento:</label>
                                <div class="col-sm-8">
                                    <select class="form-select form-select-sm" name="formpgto">
                                        <option value="À Vista">À Vista</option>
                                        <option value="Cartão de Crédito">Cartão de Crédito</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row mb-1">
                                <label class="col-sm-4 col-form-label text-right">Data do Pagamento:</label>
                                <div class="col-sm-8">
                                    <input class="form-control form-control-sm" type="date" name="datapagamento" id="datapagamento" value="{{$os->dataPgto}}">
                                    
                                    
                                </div>
                            </div>
                            <div class="form-group row mb-1">
                                <label class="col-sm-4 col-form-label text-right">Total:</label>
                                <div class="col-sm-8">
                                    <input class="form-control form-control-sm" type="text" name="total" id="total">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>

        <div class="col-12">
            <div class="row">

                <div class="col-6">

                    <button class="btn btn-info btn-sm rounded-0" type="button" data-bs-toggle="modal"
                        data-bs-target="#cadexame" data-bs-whatever="{{$os->idOS}}"><i
                            class="fa-solid fa-file-circle-plus"></i> Incluir Exames</button>

                </div>
                <div class="col-12">
                    <div class="card">

                        <div class="card-body">
                            <table class="table table-hover table-responsive-sm">
                                <thead>
                                    <tr>
                                        <th scope="col">Código</th>
                                        <th scope="col">Exame</th>
                                        <th class="text-right" scope="col">Valor</th>
                                        <th class="text-right" scope="col">Análise</th>
                                        <th class="text-right" scope="col">Ações</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($detalhes as $detalhe)
                                    <tr>

                                        <th scope="row">{{$detalhe->codigo_exame}}</th>
                                        <td>{{$detalhe->nome_exame}}</td>
                                        <td class="text-right">
                                            {{  'R$ '.number_format($detalhe->precoUnitario, 2, ',', '.') }} </td>
                                        <td class="text-right">{{$detalhe->terceriazado_exame}}</td>
                                        <td class="text-right">
                                            <form action="{{ route('examedelete', ['idOS' => $detalhe->idOS, 'id' => $detalhe->idExame]) }}" method="post">
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-danger btn-sm btn-tbl"><i
                                                    class="fa-solid fa-trash-can"></i></button>
                                            </form>


                                            
                                                    
                                        </td>


                                    </tr>
                                    @endforeach
                                <tfoot class="bg-gradient-blue">
                                    <tr>
                                        <td></td>
                                        <td></td>

                                        <td class="text-right fs-6 font-weight-bold">
                                            {{'R$ '.number_format($totalexame, 2, ',','.')}} </td>



                                        <td></td>
                                        <td></td>
                                    </tr>
                                </tfoot>

                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>

            </div>

        </div>




    </div>
</div>
@endforeach

<!-- Modal -->
<div class="modal fade bd-example-modal-lg" id="cadexame" tabindex="-1" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <form action="/detalhesos" method="POST">
            @csrf
            <div class="modal-content">
                <div class="modal-header bg-info">
                    <h5 class="modal-title" id="exampleModalLabel">Exame</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-12">
                            <div class="mb-0">
                                <input type="hidden" class="form-control form-control-sm" id="idOS" name="idOS">
                            </div>
                            <div class="mb-0">
                                <div class="form-group">
                                    <label>Setor Técnico</label>
                                    <select class="form-select form-select-sm" aria-label="Default select example"
                                        id="tecnico">
                                        <option selected></option>
                                        @foreach ($setor as $st)
                                        <option value="{{$st->id}}">{{$st->nome_setortecnico}}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-8">
                            <div class="mb-0">
                                <div class="form-group">
                                    <label>Exame</label>
                                    <select class="form-select form-select-sm" id="exame" name="exame">
                                        <option value="">– Escolha Exame –</option>

                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="mb-0">
                                <div class="form-group">
                                    <label>Valor</label>
                                    <input type="text" class="form-control form-control-sm" id="preco" name="preco">

                                </div>
                            </div>
                        </div>
                    </div>








                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-info btn-lg">Incluir</button>
                </div>
            </div>
        </form>
    </div>
</div>
@endsection

@section('js')
<script>
var ModalExame = document.getElementById('cadexame')
ModalExame.addEventListener('show.bs.modal', function(event) {
    var button = event.relatedTarget
    var idOS = button.getAttribute('data-bs-whatever')


    var cliente = ModalExame.querySelector('#idOS')
    cliente.setAttribute('value', idOS)




})
</script>

<script type="text/javascript">
$(function() {
    $('#tecnico').change(function() {
        var tecnico = parseInt($(this).val());
        if (tecnico != "") {

            $('#exame').hide();
            var url = "{{route('pesquisaexame', ':id')}}";
            url = url.replace(':id', tecnico);
            $.getJSON(url, function(j) {
                var options = '<option value=""> </option>';
                var i;
                for (i = 0; i < j.data.length; i++) {
                    options += '<option value="' + j.data[i].id + '">' + j.data[i]
                        .codigo_exame + ' | ' + j.data[i].nome_exame + '</option>';
                }

                $('#exame').html(options).show();

            });
        } else {
            $('#exame').html('<option value="">– Escolha o Exame –</option>')
        }
    })
    $('#exame').change(function() {
        var exame = parseInt($(this).val());
        if (exame != "") {
            var precoexame = $("#preco").val("...");

            var url = "{{route('getexame', ':id')}}";
            url = url.replace(':id', exame);
            $.getJSON(url, function(e) {
                precoexame.attr('value', e.data.preco_exame).val(parseFloat(e.data.preco_exame)
                    .toFixed(2));
            })
        }
    })
    $("#total").attr('value',{{$totalexame}} ).val(parseFloat({{$totalexame}}).toFixed(2));
    $('#servico').change(function() {
        var servico = parseInt($(this).val());
        if (servico != "") {
            var taxaservico = $("#taxaservico").val("Aguarde...");
            var subtotal = $("#total").val();
            
            var url = "{{route('pesquisaservico', ':id')}}";
            url = url.replace(':id', servico);
            
            $.getJSON(url, function(s) {
                taxaservico.attr('value', s.data[0].taxa_servicos).val(parseFloat(s.data[0].taxa_servicos).toFixed(2));
                var tx = taxaservico.val()
                subtotal = parseFloat(subtotal) + parseFloat(tx)
                $("#total").attr('value',subtotal ).val(parseFloat(subtotal).toFixed(2));
                
            })
            
        }
        
    })
    
})


</script>



@endsection