<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
use App\Http\Controllers\ClienteController;
use App\Http\Controllers\AtendimentoController;
use App\Http\Controllers\OrdemController;
use App\Http\Controllers\ExameController;
use App\Http\Controllers\DetalheOsController;
use App\Http\Controllers\ConsultaController;
use App\Http\Controllers\Auth\RegisterController;
use App\Http\Controllers\EspecialidadeController;
use App\Http\Controllers\ServicoController;



Auth::routes();
Route::get('/', [App\Http\Controllers\HomeController::class, 'index'])->name('home')->middleware('auth');

Auth::routes();
Route::get('/atendimento', [AtendimentoController::class, 'index']);
Route::get('/atendimento/cliente/{id}', [AtendimentoController::class, 'show']);
Route::post('/atendimento', [AtendimentoController::class, 'search'])->name('consulta.cliente');


Auth::routes();
Route::get('/cliente', [ClienteController::class, 'index']);
Route::get('/cliente/create', [ClienteController::class, 'create'])->middleware('auth');
Route::post('/cliente', [ClienteController::class, 'store']);
Route::put('/cliente/update/{id}', [ClienteController::class, 'update'])->middleware('auth');;

Route::post('/detalhesos', [DetalheOsController::class, 'store']);
Route::delete('/detalhesos/{idOS}/{id}', [DetalheOsController::class, 'destroy'])->name('examedelete');


Route::post('/ordem', [OrdemController::class, 'store'])->middleware('auth');
Route::get('/ordem/{id}',[OrdemController::class, 'show'])->name('ordem.show')->middleware('auth');
Route::get('/ordem/{id}/edit',[OrdemController::class, 'edit'])->name('ordem.edit')->middleware('auth');

Route::get('/consulta/{idcliente}/{idconsulta}', [ConsultaController::class, 'show'])->name('consulta.index')->middleware('auth');


// Configuração das Rotas das Especialidades

Route::get('/especialidades',[EspecialidadeController::class, 'index'])->middleware('auth');
Route::get('/especialidades/create',[EspecialidadeController::class, 'create'])->middleware('auth');
Route::post('/especialidades',[EspecialidadeController::class, 'store'])->middleware('auth');
Route::get('/especialidades/{id}/edit',[EspecialidadeController::class, 'edit'])->middleware('auth');
Route::put('/especialidades/{id}/update',[EspecialidadeController::class, 'update'])->middleware('auth');
Route::delete('/especialidades/{id}',[EspecialidadeController::class, 'destroy'])->middleware('auth');

// Configuração das Rotas das Serviços

Route::get('/servicos',[ServicoController::class, 'index'])->middleware('auth');
Route::get('/servico/create',[ServicoController::class, 'create'])->middleware('auth');
Route::post('/servico',[ServicoController::class, 'store'])->middleware('auth');
Route::get('/servico/{id}/edit',[ServicoController::class, 'edit'])->middleware('auth');
Route::put('/servicos/{id}/update',[ServicoController::class, 'update'])->middleware('auth');
Route::delete('/servico/{id}',[ServicoController::class, 'destroy'])->middleware('auth');


// Configuração das Rotas das Exames

Route::get('/exames',[ExameController::class, 'index'])->middleware('auth');
Route::get('/exame/create',[ExameController::class, 'create'])->middleware('auth');
Route::post('/exame',[ExameController::class, 'store'])->middleware('auth');
Route::get('/exame/{id}/edit',[ExameController::class, 'edit'])->middleware('auth');
Route::put('/exame/{id}/update',[ExameController::class, 'update'])->middleware('auth');
Route::delete('/exame/{id}',[ExameController::class, 'destroy'])->middleware('auth');



