<?php

namespace Tests\Unit\Models;

use App\Models\User;
use App\Models\Especialidade;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Tests\BrowserKitTest as TestCase;

class EspecialidadeTest extends TestCase
{
    use RefreshDatabase;

    /** @test */
    public function a_especialidade_has_name_link_attribute()
    {
        $especialidade = Especialidade::factory()->create();

        $title = __('app.show_detail_title', [
            'name' => $especialidade->name, 'type' => __('especialidade.especialidade'),
        ]);
        $link = '<a href="'.route('especialidades.show', $especialidade).'"';
        $link .= ' title="'.$title.'">';
        $link .= $especialidade->name;
        $link .= '</a>';

        $this->assertEquals($link, $especialidade->name_link);
    }

    /** @test */
    public function a_especialidade_has_belongs_to_creator_relation()
    {
        $especialidade = Especialidade::factory()->make();

        $this->assertInstanceOf(User::class, $especialidade->creator);
        $this->assertEquals($especialidade->creator_id, $especialidade->creator->id);
    }
}
