<?php

namespace Tests\Unit\Policies;

use App\Models\Especialidade;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Tests\BrowserKitTest as TestCase;

class EspecialidadePolicyTest extends TestCase
{
    use RefreshDatabase;

    /** @test */
    public function user_can_create_especialidade()
    {
        $user = $this->createUser();
        $this->assertTrue($user->can('create', new Especialidade));
    }

    /** @test */
    public function user_can_view_especialidade()
    {
        $user = $this->createUser();
        $especialidade = Especialidade::factory()->create();
        $this->assertTrue($user->can('view', $especialidade));
    }

    /** @test */
    public function user_can_update_especialidade()
    {
        $user = $this->createUser();
        $especialidade = Especialidade::factory()->create();
        $this->assertTrue($user->can('update', $especialidade));
    }

    /** @test */
    public function user_can_delete_especialidade()
    {
        $user = $this->createUser();
        $especialidade = Especialidade::factory()->create();
        $this->assertTrue($user->can('delete', $especialidade));
    }
}
